org.keycloak.federation.ldap.mappers

## Class UserAttributeLDAPFederationMapper

- java.lang.Object
- - org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapper
  - - org.keycloak.federation.ldap.mappers.UserAttributeLDAPFederationMapper

-     public class UserAttributeLDAPFederationMapper
      extends AbstractLDAPFederationMapper

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALWAYS_READ_VALUE_FROM_LDAP`
    `static String` | `IS_MANDATORY_IN_LDAP`
    `static String` | `LDAP_ATTRIBUTE`
    `static String` | `READ_ONLY`
    `static String` | `USER_MODEL_ATTRIBUTE`

    - ### Fields inherited from class org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapper

      `ldapProvider, mapperModel, realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAttributeLDAPFederationMapper(UserFederationMapperModel mapperModel, LDAPFederationProvider ldapProvider, RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeLDAPQuery(LDAPQuery query)`
    `protected void` | `checkDuplicateEmail(String userModelAttrName, String email, RealmModel realm, KeycloakSession session, UserModel user)`
    `void` | `onImportUserFromLDAP(LDAPObject ldapUser, UserModel user, boolean isCreate)`
    `void` | `onRegisterUserToLDAP(LDAPObject ldapUser, UserModel localUser)`
    `UserModel` | `proxy(LDAPObject ldapUser, UserModel delegate)`
    `protected void` | `setPropertyOnUserModel(Property<Object> userModelProperty, UserModel user, String ldapAttrValue)`

    - ### Methods inherited from class org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapper

      `getGroupMembers, getLdapProvider, getRealm, onAuthenticationFailure, parseBooleanParameter, syncDataFromFederationProviderToKeycloak, syncDataFromKeycloakToFederationProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_MODEL_ATTRIBUTE

          public static final String USER_MODEL_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### LDAP_ATTRIBUTE

          public static final String LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### READ_ONLY

          public static final String READ_ONLY

      See Also:
        Constant Field Values

    - #### ALWAYS_READ_VALUE_FROM_LDAP

          public static final String ALWAYS_READ_VALUE_FROM_LDAP

      See Also:
        Constant Field Values

    - #### IS_MANDATORY_IN_LDAP

          public static final String IS_MANDATORY_IN_LDAP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserAttributeLDAPFederationMapper

          public UserAttributeLDAPFederationMapper(UserFederationMapperModel mapperModel,
                                                   LDAPFederationProvider ldapProvider,
                                                   RealmModel realm)

  - ### Method Detail

    - #### onImportUserFromLDAP

          public void onImportUserFromLDAP(LDAPObject ldapUser,
                                           UserModel user,
                                           boolean isCreate)

      Specified by:
        `onImportUserFromLDAP` in class `AbstractLDAPFederationMapper`
      See Also:
        `LDAPFederationMapper.onImportUserFromLDAP(UserFederationMapperModel, LDAPFederationProvider, LDAPObject, UserModel, RealmModel, boolean)`

    - #### onRegisterUserToLDAP

          public void onRegisterUserToLDAP(LDAPObject ldapUser,
                                           UserModel localUser)

      Specified by:
        `onRegisterUserToLDAP` in class `AbstractLDAPFederationMapper`
      See Also:
        `LDAPFederationMapper.onRegisterUserToLDAP(UserFederationMapperModel, LDAPFederationProvider, LDAPObject, UserModel, RealmModel)`

    - #### checkDuplicateEmail

          protected void checkDuplicateEmail(String userModelAttrName,
                                             String email,
                                             RealmModel realm,
                                             KeycloakSession session,
                                             UserModel user)

    - #### proxy

          public UserModel proxy(LDAPObject ldapUser,
                                 UserModel delegate)

      Specified by:
        `proxy` in class `AbstractLDAPFederationMapper`
      See Also:
        `LDAPFederationMapper.proxy(UserFederationMapperModel, LDAPFederationProvider, LDAPObject, UserModel, RealmModel)`

    - #### beforeLDAPQuery

          public void beforeLDAPQuery(LDAPQuery query)

      Specified by:
        `beforeLDAPQuery` in class `AbstractLDAPFederationMapper`
      See Also:
        `LDAPFederationMapper.beforeLDAPQuery(UserFederationMapperModel, LDAPQuery)`

    - #### setPropertyOnUserModel

          protected void setPropertyOnUserModel(Property<Object> userModelProperty,
                                                UserModel user,
                                                String ldapAttrValue)

Copyright © 2016 JBoss by Red Hat. All rights reserved.